Bug 860542 - (kchildlock) Review Request: kchildlock - KDE Parental Control Application
Review Request: kchildlock - KDE Parental Control Application
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-09-26 02:04 EDT by Minh Ngo
Modified: 2012-11-29 01:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 06:51:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Minh Ngo 2012-09-26 02:04:53 EDT
Spec URL: https://raw.github.com/Ignotus/fedora-packages/be100d9cb3308f89ac5d7e85c3b2daba23279314/kchildlock/kchildlock.spec
SRPM URL: https://dl.dropbox.com/s/p81m5zidqm4i4hd/kchildlock-0.90.4.2-1.fc17.src.rpm?dl=1
Description: KDE Parental Control Application
Fedora Account System Username: ignotusp
Comment 1 Rex Dieter 2012-10-06 10:52:48 EDT
I can review today.
Comment 2 Rex Dieter 2012-10-06 11:01:15 EDT
$ rpmlint kchildlock.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings

naming: ok

sources: ok, but
1. SHOULD adjust url to match recommendations for sf:
https://fedoraproject.org/wiki/Packaging:SourceURL#Sourceforge.net

2. SHOULD use
BuildRequires: kdelibs4-devel
(instead of kdelibs-devel)

3. SHOULD drop use of deprecated/unused rpm .spec tags, including:
Group:

4. MUST own
%{_localstatedir}/opt/%{name}

5. MUST add icon scriptlets:
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

6. SHOULD use
%{_kde4_datadir}/kde4/services/*
instead of
%{_datadir}/kde4/services/*
(ie, consistently use %{_kde4_*} style macros
Comment 4 Rex Dieter 2012-11-08 10:50:54 EST
Thanks

1.  SHOULD use
%find_lang %{name} --with-kde
which will pick up  %{_kde4_docdir} stuff automatically, and you can remove it from %files

2.  SHOULD fix
%{_localstatedir}/opt/%{name}
%{_localstatedir}/opt/%{name}/*
which is redundant, just use
%{_localstatedir}/opt/%{name}/

3. SHOULD use
%{_kde4_iconsdir}/hicolor/*/*/*
instead of
%{_kde4_iconsdir}/*

4. SHOULD use %{version} macro in Source url, which is currently,
Source0:    http://downloads.sourceforge.net/kchildlock/kchildlock/0.90.4.2/kchildlock-0.90.4.2.tar.gz 

as none of these are MUST blockers, APPROVED

do please try to address them prior to issuing any official builds.
Comment 5 Minh Ngo 2012-11-09 04:27:24 EST
New Package SCM Request
=======================
Package Name: kchildlock
Short Description: KDE Parental Control Application
Owners: minh
Branches: f16 f17 f18
InitialCC:
Comment 6 Jon Ciesla 2012-11-09 07:00:39 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-11-10 03:10:21 EST
kchildlock-0.90.4.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kchildlock-0.90.4.2-3.fc16
Comment 8 Fedora Update System 2012-11-10 03:11:24 EST
kchildlock-0.90.4.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kchildlock-0.90.4.2-3.fc17
Comment 9 Fedora Update System 2012-11-10 03:12:09 EST
kchildlock-0.90.4.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kchildlock-0.90.4.2-3.fc18
Comment 10 Fedora Update System 2012-11-10 04:16:48 EST
kchildlock-0.90.4.2-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kchildlock-0.90.4.2-4.fc16
Comment 11 Fedora Update System 2012-11-10 04:18:01 EST
kchildlock-0.90.4.2-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kchildlock-0.90.4.2-4.fc17
Comment 12 Fedora Update System 2012-11-10 04:22:59 EST
kchildlock-0.90.4.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kchildlock-0.90.4.2-4.fc18
Comment 13 Fedora Update System 2012-11-10 14:40:49 EST
kchildlock-0.90.4.2-4.fc18 has been pushed to the Fedora 18 testing repository.
Comment 14 Fedora Update System 2012-11-28 06:51:07 EST
kchildlock-0.90.4.2-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 15 Fedora Update System 2012-11-28 06:51:43 EST
kchildlock-0.90.4.2-4.fc16 has been pushed to the Fedora 16 stable repository.
Comment 16 Fedora Update System 2012-11-29 01:35:49 EST
kchildlock-0.90.4.2-4.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.